diff --git a/cpp_utils/BLERemoteCharacteristic.cpp b/cpp_utils/BLERemoteCharacteristic.cpp
index 68fbaf38..25a01cf0 100644
--- a/cpp_utils/BLERemoteCharacteristic.cpp
+++ b/cpp_utils/BLERemoteCharacteristic.cpp
@@ -41,7 +41,7 @@ BLERemoteCharacteristic::BLERemoteCharacteristic(
 	m_pRemoteService = pRemoteService;
 	m_notifyCallback = nullptr;
 
-	getDescriptors(); // Get the descriptors for this characteristic
+	retrieveCharacteristics(); // Get the descriptors for this characteristic
 	ESP_LOGD(LOG_TAG, "<< BLERemoteCharacteristic");
 } // BLERemoteCharacteristic
 
@@ -276,8 +276,8 @@ void BLERemoteCharacteristic::gattClientEventHandler(
 /**
  * @brief Populate the descriptors (if any) for this characteristic.
  */
-void BLERemoteCharacteristic::getDescriptors() {
-	ESP_LOGD(LOG_TAG, ">> getDescriptors() for characteristic: %s", getUUID().toString().c_str());
+void BLERemoteCharacteristic::retrieveCharacteristics() {
+	ESP_LOGD(LOG_TAG, ">> retrieveCharacteristics() for characteristic: %s", getUUID().toString().c_str());
 
 	removeDescriptors();   // Remove any existing descriptors.
 
@@ -326,6 +326,13 @@ void BLERemoteCharacteristic::getDescriptors() {
 } // getDescriptors
 
 
+/**
+ * @brief Retrieve the map of descriptors keyed by UUID.
+ */
+std::map<std::string, BLERemoteDescriptor *>* BLERemoteCharacteristic::getDescriptors() {
+	return &m_descriptorMap;
+} // getDescriptors
+
 
 /**
  * @brief Get the handle for this characteristic.
diff --git a/cpp_utils/BLERemoteCharacteristic.h b/cpp_utils/BLERemoteCharacteristic.h
index b34e3649..c06a06b3 100644
--- a/cpp_utils/BLERemoteCharacteristic.h
+++ b/cpp_utils/BLERemoteCharacteristic.h
@@ -59,10 +59,11 @@ class BLERemoteCharacteristic {
 		esp_gattc_cb_event_t      event,
 		esp_gatt_if_t             gattc_if,
 		esp_ble_gattc_cb_param_t* evtParam);
-	void              getDescriptors();
+	std::map<std::string, BLERemoteDescriptor *>* getDescriptors();
 	uint16_t          getHandle();
 	BLERemoteService* getRemoteService();
 	void              removeDescriptors();
+	void              retrieveCharacteristics();
 
 	// Private properties
 	BLEUUID              m_uuid;
